// Fichero de POVRAY 3 por:
// POVRAY 3 file by:
//  Guillermo S. Romero

// E-mail:     famrom@ran.es
// Snail-mail: P.O.Box 35099-28080 Madrid (Espaa)

// Este fichero contiene:
//  Generador de hierbas.
//--
// This file contains:
//  Grass genarator.

// ** IMPORTANT ** Wrong use can cause errors, I decline ALL responsability.
// INCLUDE FLAGS
//  ## No flags used ##
// For multiple "include"s of this file use multiple flags, think about this
//  condition as arguments required by functions.


#declare Grass =
    union {
        cone { <0, 0, 0>, .02, <.05, .075, 0>, .015 }
        sphere { <.05, .075, 0>, .015 }
        cone { <.05, .075, 0>, .015, <.1, .15, 0>, .01 }
        sphere { <.1, .15, 0>, .01 }
        cone { <.1, .15, 0>, .01, <.15, .16, 0>, .005 }
        sphere { <.15, .16, 0>, .005 }
        cone { <.15, .15, 0>, .005, <.2, .1, 0>, 0 }
        texture {
            pigment { MediumForestGreen }
            finish { F_Cartoon9 }
        }
        scale <.5, 1, 2>
    }

#declare Count = 7
#declare Zone = 180 / Count
#declare GrassGroup =
    union {
        #while (Count > 0)
            object {
                Grass
                scale <.5 + rand(GrassRand),
                       .5 + rand(GrassRand),
                       1>
                translate <.1, 0, 0>
                rotate (Zone * (Count - 1) + Zone * rand(GrassRand)) * y
            }
            #declare Count = Count - 1
        #end // while
        #declare Count = 4
        #declare Zone = 180 / Count
        #while (Count > 0)
            object {
                Grass
                scale <.5 + rand(GrassRand),
                       .5 + rand(GrassRand),
                       1>
                translate <.05, 0, 0>
                rotate (Zone * (Count - 1) + Zone * rand(GrassRand)) * y
            }
            #declare Count = Count - 1
        #end // while
    }


// (C) Guillermo Sanz Romero
// Todos los derechos reservados.
// Si deseas utilizar la totalidad o parte de este fichero puedes hacerlo
//  mientras no sea con fines lucrativos.
// En caso de usarlo para publicidad, recopilaciones de software, inclusin
//  en revistas o alguna otra actividad que suponga una transaccin
//  remunerada (con cualquier tipo de bien, por lo que los trueques y los
//  premios de los concursos tambin quedan incluidos), debes ponerte en
//  contacto utilizando las direcciones de la cabezera para poder acordar las
//  condiciones que te permitan hacer dicho uso de los datos contenidos en
//  este fichero o los generados a partir de l, tanto descripciones de
//  imagenes como las imagenes en si, en cualquier formato y/o medio de
//  almacenamiento.
//--
// All rights reserved.
// If you want to use this file in is enterity or only parts of it you can do
//  it while it is a non-profitable purpose.
// In case of using it for advertisment, software recopilations, bunddling it
//  with magazines or another profitable transaction (any sort of profit, so
//  exchange and prizes won in contests are included), you must get in touch
//  with me through the addresses given above to reach an agreement about the
//  conditions to use the data here contained (this file) or build from it,
//  both new image descriptions and images, whatever the format and/or the
//  storage way.

// No dudes en escribirme si tienes alguna pregunta, tanto sobre la clusula
//  arriba expuesta como sobre el fichero de datos que describe las imgenes
//  y las imgenes en si.
// P.D.: los precios son razonables y el dinero esta destinado bsicamente
//  a mejorar mi ordenador y poder seguir creando ms imagenes.
//--
// Do not doubt to write me if you has any question, about the clausule 
//  written above or the descriptions and the images.
// P.S.: prices are reasonable and money is basically to improve my computer
//  so I can keep making more pictures.

// NOTA IMPORTANTE
//  Este es un extracto de la licencia completa (LICENSE.GSR), lee dicho
//  fichero para conocer todas las condiciones y clusulas.
//--
// IMPORTANT NOTE
//  This is an extract of the complete license (LICENSE.GSR), read that file
//  to know all the conditions and clausules.
